[top]
components : superficie generadorCalor@Generator generadorFrio@Generator
link : out@generadorCalor inputCalor@superficie
link : out@generadorFrio  inputFrio@superficie

[superficie]
type : cell
dim : (4, 4, 4)
delay : transport
defaultDelayTime  : 100
border : wrapped 
neighbors :                      superficie(-1,0,-1)
neighbors : superficie(0,-1,-1)  superficie(0,0,-1)  superficie(0,1,-1)
neighbors :                      superficie(1,0,-1)
neighbors : superficie(-1,-1,0)  superficie(-1,0,0)  superficie(-1,1,0) 
neighbors : superficie(0,-1,0)   superficie(0,0,0)   superficie(0,1,0)
neighbors : superficie(1,-1,0)   superficie(1,0,0)   superficie(1,1,0)
neighbors :                      superficie(-1,0,1)
neighbors : superficie(0,-1,1)   superficie(0,0,1)   superficie(0,1,1)
neighbors :                      superficie(1,0,1)
neighbors : superficie(0,0,-2) superficie(0,0,2) superficie(0,2,0)
neighbors : superficie(0,-2,0) superficie(2,0,0) superficie(-2,0,0)
initialvalue : 0
in : inputCalor inputFrio
link : inputCalor in@superficie(3,3,0)
link : inputCalor in@superficie(2,2,1)
link : inputFrio  in@superficie(3,3,2)
link : inputFrio  in@superficie(1,3,3)
localtransition : calor-rule
portInTransition : in@superficie(3,3,0)  setCalor
portInTransition : in@superficie(2,2,1)  setCalor
portInTransition : in@superficie(3,3,2)  setFrio
portInTransition : in@superficie(1,3,3)  setFrio

[calor-rule]
rule : { ( (-1,0,-1) + (0,-1,-1) + (0,0,-1) + (0,1,-1) + (1,0,-1) + (-1,-1,0) +
           (-1,0,0) + (-1,1,0)  + (0,-1,0) + (0,0,0) + (0,1,0) + (1,-1,0) +
           (1,0,0) + (1,1,0) + (-1,0,1) + (0,-1,1) + (0,0,1) + (0,1,1) + (1,0,1)
           + (0,0,-2) + (0,0,2) + (0,2,0) + (0,-2,0) + (2,0,0) + (-2,0,0) ) / 25 } 1000 { t }

[setCalor]
rule : { uniform(824,980) } 1000 { t }

[setFrio]
rule : { uniform(-2,-1) } 1000 { t }

[generadorCalor]
distribution : exponential
mean : 5
initial : 1
increment : 0

[generadorFrio]
distribution : exponential
mean : 98
initial : 1
increment : 0
